#!/usr/bin/env bash

[[ -z $1 ]] && op=$( echo -e "~ Personal\n Development\n School\n Work" | wofi -i --dmenu --width 250 --height 320 | awk '{print $2}' ) || op="${1}"
echo "$op"

profile_number=""

case $op in
  Personal)
    p_number=""
    p_icon="~"
    ;;
  Development)
    p_number="1"
    p_icon=""
    ;;
  School)
    p_number="2"
    p_icon=""
    ;;
  Work)
    p_number="3"
    p_icon=""
    ;;
  *)
    exit 1
    ;;
esac

for i in {1..10};do
  [[ "$i" -eq "10" ]] && k="0" || k=$i
  echo $k
  swaymsg 'bindsym $mod+'"$k"' workspace number "'"${p_number}${i}:${p_icon}"'"'
done
swaymsg 'workspace number "'"${p_number}"'"1'
